# $Revision: 1.22 $, $Date: 2009/01/13 01:13:57 $
Summary:	Utility to administer the Linux Virtual Server
Summary(pl.UTF-8):	Narzędzie do administracji wirtualnymi serwerami
Name:		ipvsadm
Version:	1.25
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.linuxvirtualserver.org/software/kernel-2.6/%{name}-%{version}.tar.gz
# Source0-md5:	772a053f5fe888cd25784c5f55d31fc3
Source1:	%{name}-ip_vs.h
Patch0:		%{name}-make.patch
URL:		http://www.LinuxVirtualServer.org/
BuildRequires:	libnl-devel
BuildRequires:	popt-devel
Conflicts:	ipvsadm24
Conflicts:	piranha <= 0.4.14
#Conflicts:	kernel < 2.6.?
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel augmented with the virtual server modules
(available as patch for long time, merged into kernel since 2.4.23).
This version supports Linux 2.6.x series.

%description -l pl.UTF-8
ipvsadm jest narzędziem do administracji wirtualnymi serwerami, co
umożliwia jądro Linuksa z modułami IPVS (dostępnymi jako łata od
dłuższego czasu, włączonymi do jądra od 2.4.23). Ta wersja obsługuje
wersje Linuksa 2.6.x.

%prep
%setup -q
%patch0 -p1

cp -f %{SOURCE1} ip_vs.h

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BUILD_ROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/ipvsadm
%attr(755,root,root) %{_sbindir}/ipvsadm-save
%attr(755,root,root) %{_sbindir}/ipvsadm-restore
%{_mandir}/man8/ipvsadm.8*
%{_mandir}/man8/ipvsadm-save.8*
%{_mandir}/man8/ipvsadm-restore.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipvsadm.spec,v $
Revision 1.22  2009/01/13 01:13:57  zbyniu
- up to 1.25

Revision 1.21  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.19  2005/06/06 19:31:27  qboosh
- updated to 1.24(-5) for Linux 2.6.x
- updated make patch, updated ip_vs.h from Linux 2.6.11.11

Revision 1.18  2005/06/06 09:12:24  qboosh
- updated to 1.21-11, ip_vs.h from Linux 2.4.29, works with Linux 2.4.29+ now
  (merged from OpenBIZ Linux)

Revision 1.17  2004/03/15 11:32:36  qboosh
- added ip_vs.h file and make patch, updated spec - builds now (still for 2.4)
- updated descriptions (IPVS has been merged into kernel before 2.4.23 release)

Revision 1.16  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/23 11:26:33  misiek
- pld-list -> feedback

Revision 1.13  2003/02/23 11:19:27  misiek
- merged from KERNEL_2_4

Revision 1.7.2.4  2002/01/20 10:50:04  misiek
- added BR: popt-devel

Revision 1.7.2.3  2002/01/17 10:04:19  blues
- added Conflicts

Revision 1.7.2.2  2002/01/17 09:49:25  blues
- updated URL

Revision 1.7.2.1  2002/01/17 09:47:35  blues
- started updating (nfy)

Revision 1.7  2001/05/20 13:11:13  kloczek
- fixed %clean.

Revision 1.6  2001/05/20 13:06:09  kloczek
- updated to 1.15,
- cleanups.

Revision 1.5  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2000/12/30 15:02:19  areq
- 1.14

Revision 1.3  2000/10/12 23:14:52  lukasz
- rebuilded section install

Revision 1.2  2000/10/12 22:52:05  lukasz
- Release 1

Revision 1.1  2000/10/12 22:48:42  lukasz
- adapter(ized)
- added pl translation

* Thu Jul  6 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- Changed to build rpms on the ipvsadm tar ball directly

* Wed Jun 21 2000 P.Copeland <copeland@redhat.com>
- fixed silly install permission settings

* Mon Jun 19 2000 P.Copeland <copeland@redhat.com>
- Added 'dist' and 'rpms' to the Makefile
- Added Obsoletes tag since there were early versions
  of ipvsadm-*.rpm that installed in /sbin
- Obsolete tag was a bit vicious re: piranha

* Mon Apr 10 2000 Horms <horms@vergenet.net>
- created for version 1.9
